Package com.ads.api.beans.common

# Enum Class APIConstants.Module

java.lang.Object
java.lang.Enum<APIConstants.Module>
com.ads.api.beans.common.APIConstants.Module

All Implemented Interfaces:
  `Serializable`, `Comparable<APIConstants.Module>`, `Constable`

Enclosing class:
  APIConstants

public static enum APIConstants.Module extends Enum<APIConstants.Module>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AI_MATCH`
  `BUSINESS_GLOSSARY_MANAGER`
  `CODE_AUTOMATION_TEMPLATE_FRAMEWORKS`
  `CODESET_MANAGER`
  `DATA_MARKETPLACE`
  `MAPPING_MANAGER`
  `METADATA_MANAGER`
  `REFERENCE_DATA_MANAGER`
  `RELEASE_MANAGER`
  `REPORTING_MANAGER`
  `REQUIREMENTS_MANAGER`
  `RESOURCE_MANAGER`
  `TEST_MANAGER`
  `UNKNOWN`
  `WORKFLOW_MANAGER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  `static String`
  `getId(String moduleKey)`
  `static APIConstants.Module`
  `getModule(String value)`
  `String`
  `toString()`
  Returns the String representation.
  `static APIConstants.Module`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static APIConstants.Module[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MAPPING_MANAGER

    public static final APIConstants.Module MAPPING_MANAGER

  - ### METADATA_MANAGER

    public static final APIConstants.Module METADATA_MANAGER

  - ### RESOURCE_MANAGER

    public static final APIConstants.Module RESOURCE_MANAGER

  - ### CODESET_MANAGER

    public static final APIConstants.Module CODESET_MANAGER

  - ### RELEASE_MANAGER

    public static final APIConstants.Module RELEASE_MANAGER

  - ### REFERENCE_DATA_MANAGER

    public static final APIConstants.Module REFERENCE_DATA_MANAGER

  - ### CODE_AUTOMATION_TEMPLATE_FRAMEWORKS

    public static final APIConstants.Module CODE_AUTOMATION_TEMPLATE_FRAMEWORKS

  - ### TEST_MANAGER

    public static final APIConstants.Module TEST_MANAGER

  - ### REQUIREMENTS_MANAGER

    public static final APIConstants.Module REQUIREMENTS_MANAGER

  - ### REPORTING_MANAGER

    public static final APIConstants.Module REPORTING_MANAGER

  - ### BUSINESS_GLOSSARY_MANAGER

    public static final APIConstants.Module BUSINESS_GLOSSARY_MANAGER

  - ### WORKFLOW_MANAGER

    public static final APIConstants.Module WORKFLOW_MANAGER

  - ### AI_MATCH

    public static final APIConstants.Module AI_MATCH

  - ### DATA_MARKETPLACE

    public static final APIConstants.Module DATA_MARKETPLACE

  - ### UNKNOWN

    public static final APIConstants.Module UNKNOWN

- ## Method Details

  - ### values

    public static APIConstants.Module[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static APIConstants.Module valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Returns the String representation.
    Overrides:
      `toString` in class `Enum<APIConstants.Module>`
    Returns:
      String

  - ### getModule

    public static APIConstants.Module getModule(String value)

  - ### getId

    public static String getId(String moduleKey)

  - ### getId

    public String getId()